Subject: SLI from LNS to LAC ...

From: Elwin Eliazer <[email-masked]>
Date: Tue, 15 May 2001 08:55:19 -0700 (PDT)

Hi,

Are there any standard way of changing the
characteristics of a L2TP tunnel/session
after the tunnel/session setup is complete?

SetLinkInfo (SLI) PDU defined in RFC 2661,
section 6.4 can only be used by LNS to
inform LAC. Are there any methods like that
from LAC to LNS?

Your response would be appreciated.

regards,
Elwin.

=====
-------
Elwin Stelzer Eliazer
Corona Networks
San Jose, CA
408-519-3832
-------

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - buy the things you want at great prices
http://auctions.yahoo.com/

---

From: "W. Mark Townsley" <[email-masked]>
Date: Tue, 15 May 2001 13:16:43 -0400

WEN is currently the only "after session establishment" message defined
for receipt by an LNS. New messages are not difficult to create though.
What type of information would you like to signal?

- Mark

---

From: Elwin Eliazer <[email-masked]>
Date: Tue, 15 May 2001 20:42:12 -0700 (PDT)

Mark,

The cases when LNS needs to inform LAC after
authentication phase some characteristics that
are based on user, will need additional messages.
One such requirement is the conveying the user
based IP service information to LAC, so that LAC
can take appropriate actions, like QOS and IPSec. 

Another requirement is: MLPPP can be turned on
or off by LNS based on authentication information;
which cannot be sent to LAC as of now.

Acknowledgments to these may be needed for some
cases from LAC to LNS.

regards,
Elwin.

=====
-------
Elwin Stelzer Eliazer
Corona Networks
San Jose, CA
408-519-3832
-------

---

From: "W. Mark Townsley" <[email-masked]>
Date: Wed, 16 May 2001 00:14:24 -0400

> can take appropriate actions, like QOS and IPSec.

QoS: See draft-ietf-l2tpext-ds-03.txt
IPsec: See draft-ietf-l2tpext-security-02.txt

> which cannot be sent to LAC as of now.

The LAC should not care.

Also, regarding LCP options in general, please see:
draft-ietf-l2tpext-link-01.txt

---

From: Elwin Eliazer <[email-masked]>
Date: Wed, 16 May 2001 11:09:11 -0700 (PDT)

Mark,

The QOS related exchanged mentioned in
draft-ietf-l2tpext-ds-03.txt
can not be performed based on user authentication
at LNS, since the AVP defined is used during ICRQ
itself.
Similarly the security draft, do not describe
selective security based on user.
By having new L2TP messages that can be exchanged
during a session, we can come up with better solutions
for IP services based on user.

I believe L2TP is flexible enough to add new messages
and would not collapse as some fear.

regards,
Elwin.

--- "W. Mark Townsley" <[email-masked]> wrote:
> > > > Yahoo! Auctions - buy the things you want at
> great
> > > prices

=====
-------
Elwin Stelzer Eliazer
Corona Networks
San Jose, CA
408-519-3832
-------